Installation guide
5 min Quick Start
Prerequisites:
- Node.js: https://nodejs.org/en/
- Angular CLI:
npm install -g @angular/cli
- Git - required in npm installation of MDB Angular Pro package
Manual installation (zip package)
Step 1: Download MDB Angular Free or MDB Angular Pro package
Step 2: Unzip downloaded package and open it in the code editor.
Step 3: Install dependencies. Depending on your node module manager, run:
$ npm install
$ yarn
Step 4: Run your application: ng serve --o
Step 5: Explore our documentation
(menu on the left). Choose components you like, copy it to your project and compose your website. And yes, it's
that simple!
Step 1: Download MDB Angular Free or MDB Angular Pro package
Step 2: Unzip downloaded package and open it in the code editor.
Step 3: Install dependencies. Depending on your node module manager, run:
$ npm install
$ yarn
Step 4: Run your application: ng serve --o
Step 5: Explore our documentation (menu on the left). Choose components you like, copy it to your project and compose your website. And yes, it's that simple!
NPM installation
Step 1: Create new angular project using Angular CLI command:
ng new your-angular-project --style=scss
Step 2: Open the project in the code editor
Step 3: Install MDB Angular Free:
npm install angular-bootstrap-md --save
Step 4: Update the app.module.ts
file with the following code:
import { NgModule } from '@angular/core';
import { MDBBootstrapModule } from 'angular-bootstrap-md';
@NgModule({
imports: [
MDBBootstrapModule.forRoot()
]
});
Step 5: Update styles
and scripts
arrays in angular.json
file:
"styles": [
"node_modules/@fortawesome/fontawesome-free/scss/fontawesome.scss",
"node_modules/@fortawesome/fontawesome-free/scss/solid.scss",
"node_modules/@fortawesome/fontawesome-free/scss/regular.scss",
"node_modules/@fortawesome/fontawesome-free/scss/brands.scss",
"node_modules/angular-bootstrap-md/assets/scss/bootstrap/bootstrap.scss",
"node_modules/angular-bootstrap-md/assets/scss/mdb.scss",
"node_modules/animate.css/animate.css",
"src/styles.scss"
],
"scripts": [
"node_modules/chart.js/dist/Chart.js",
"node_modules/hammerjs/hammer.min.js"
],
Step 6: Install external libraries
npm install -–save chart.js@2.5.0 @types/chart.js @types/chart.js @fortawesome/fontawesome-free hammerjs animate.css
Step 7: Run application
ng serve --o
Step 1: Create new angular project using Angular CLI command:
ng new your-angular-project --style=scss
Step 2: Open the project in the code editor
Step 3: Generate new GitLab token (see token generation section)
Step 4: Use generated token to install MDB Angular Pro package
npm install git+https://oauth2:YOUR_TOKEN@git.mdbootstrap.com/mdb/angular/ng-uikit-pro-standard.git --save
Step 5: Update the app.module.ts
file with the following code:
import { MDBBootstrapModulesPro } from 'ng-uikit-pro-standard';
import { MDBSpinningPreloader } from 'ng-uikit-pro-standard';
import { NgModule } from '@angular/core';
...
imports: [
...
MDBBootstrapModulesPro.forRoot(),
...
],
providers: [
...
MDBSpinningPreloader,
...
]
Step 6: Update styles
and scripts
arrays in angular.json
file:
"styles": [
"node_modules/@fortawesome/fontawesome-free/scss/fontawesome.scss",
"node_modules/@fortawesome/fontawesome-free/scss/solid.scss",
"node_modules/@fortawesome/fontawesome-free/scss/regular.scss",
"node_modules/@fortawesome/fontawesome-free/scss/brands.scss",
"node_modules/ng-uikit-pro-standard/assets/scss/bootstrap/bootstrap.scss",
"node_modules/ng-uikit-pro-standard/assets/scss/mdb.scss",
"node_modules/animate.css/animate.css",
"src/styles.scss"
],
and scripts
"scripts": [
"node_modules/chart.js/dist/Chart.js",
"node_modules/easy-pie-chart/dist/easypiechart.js",
"node_modules/screenfull/dist/screenfull.js",
"node_modules/hammerjs/hammer.min.js"
],
Step 7: Install external libraries
npm i --save chart.js@2.5.0 @types/chart.js easy-pie-chart@2.1.7 hammerjs@2.0.8 screenfull@3.3.0
@fortawesome/fontawesome-free animate.css
Step 8: If you want to use maps you will have to npm i --save @agm/core and then add
import { AgmCoreModule } from '@agm/core';
to your app.module. To use them you will also need add it
to your imports
AgmCoreModule.forRoot({
apiKey: 'Your_api_key'
})
Step 9: Run application:
ng serve -o
Token generation
Step 1: Visit https://git.mdbootstrap.com and log in. If you are PRO user and do not have an account yet, please request one contacting us: contact@mdbootstrap.com
Step 2: From top right corner click at your avatar and choose "Setting → Access Tokens"
Step 3: Provide a Name for your token and choose "api" from scopes. Then click "Create personal access token"
Step 4: Once your token will be generated make sure to copy it and store in safe place. You won't be able to access it again. In case of lose, you will have to generate new token again.
Angular Schematics installation (ng add)
From MDB Angular 6.3.0 there's possibility to install MDB Angular Free by using ng add command.
Step 1: Create new project: ng new your-project-name
Step 2: Add MDB Angular Free configuration: ng add angular-bootstrap-md
Snapshot builds (developer versions)
It's possible to download snapshot build (developer version).
MDB Angular Free:
git clone -b dev https://github.com/mdbootstrap/Angular-Bootstrap-with-Material-Design
MDB Angular Pro:
npm install git+https://oauth2:<your-auth-token>@git.mdbootstrap.com/mdb/angular/ng-uikit-pro-standard.git#dev --save
Please note that the developer version is the one we are working on when writing patches. This version is not stable and can cause problems in your project.

Installation guide

Manual installation (zip package)

Step 1

Download the package

MDB VUE UI KIT download

Step 2

Unzip downloaded package and open it in the code editor

Step 3

Install dependencies.

        
            
          npm install
        
        
    

Step 4

Run the application.

        
            
          npm start
        
        
    

Step 5

Explore our documentation (menu on the left). Choose components you like, copy it to your project and compose your website. And yes, it's that simple!

Don't miss MDB Vue updates! Join our mailing list & receive information whenever a new update is released.

    By subscribing you agree to receive the newsletter & commercial information from the data administrator StartupFlow s.c. Kijowska 7, Warsaw. Policy


    MDB CLI

    CLI installation is the most efficient way to use MDB. It enables options such as:

    • Free hosting (supports custom domains, SSL, FTP access)
    • Install any MDB package with a single command
    • Easy updates with a single command
    • Backend starter templates (Laravel, plain PHP, node.js & more)
    • WordPress setup in 3 minutes (blog, ecommerce or blank project)
    • Git repository for you and your team
    Install MDB CLI

    Vite

    Note: As of version 3.0.0 of the MDB Vue Ui Kit, we encourage everyone to use TypeScript with our components.

    Vite (French word for "fast", pronounced /vit/) is a build tool that aims to provide a faster and leaner development experience for modern web projects. Our UI KIT can be imported in Vite applications according to the following procedure:

    Step 1

    Init the project. Select a vue framework during installation.

            
                
              npm init vite@latest
        
            
        

    Step 2

    Navigate to app's directory. Replace <vite-project> with your project name.

            
                
            cd <vite-project>
        
            
        

    Step 3

    Install dependencies.

            
                
            npm install
        
            
        

    Step 4

    Setup MDB.

            
                
            npm install mdb-vue-ui-kit
        
            
        

    Step 5

    Add devSourceMap to your vite.config.ts file

            
                
        export default defineConfig({
          css: {
            devSourcemap: true,
          },
          plugins: [vue()],
        });
        
            
        

    Step 6

    Import CSS. Add the following line at the beginning of your main.ts file:

            
                
            import 'mdb-vue-ui-kit/css/mdb.min.css';
        
            
        

    Step 7

    Import Font Awesome. Add the following line in public/index.html file inside head section:

            
                
          <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css" rel="stylesheet" />
        
            
        

    Step 8

    Import Roboto font. Add the following line in public/index.html file inside head section:

            
                
            <link href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700,900&display=swap" rel="stylesheet" />
        
            
        

    Set font family in src/App.vue inside style section as in the example:

            
                
            #app {
              font-family: Roboto, Helvetica, Arial, sans-serif;
            }
        
            
        

    Step 9

    Import MDB components. You can use an experimental <script setup> proposal. In the example below we showed how to import an exemplary MDBBtn component.

            
                
              <template>
                <h1>{{ msg }}</h1>
      
                <p>
                  <a href="https://vitejs.dev/guide/features.html" target="_blank">
                    Vite Documentation
                  </a>
                  |
                  <a href="https://v3.vuejs.org/" target="_blank">Vue 3 Documentation</a>
                </p>
      
                <MDBBtn color="primary" class="mb-3" @click="state.count++">
                  count is: {{ state.count }}
                </MDBBtn>
      
                <p>
                  Edit components/HelloWorld.vue to test hot module replacement.
                </p>
      
              </template>
      
              <script setup lang="ts">
                import { defineProps, reactive } from "vue";
                import { MDBBtn } from "mdb-vue-ui-kit";
    
                defineProps({
                  msg: String,
                });
    
                const state = reactive({ count: 0 });
              </script>
      
              <style scoped>
                a {
                  color: #42b983;
                }
              </style>
      
        
            
        

    Step 9

    Launch the application.

            
                
            npm run dev
        
            
        

    Vue CLI

    Prerequisites

    Before starting the project make sure to install Vue CLI (5.x.x or higher) and Node LTS (16.x.x or higher).

    Step 1

    Create Vue App. Choose Vue 3.x.x. version.
    We also recommend to use TypeScript (Manually select features / choose TypeScript).

            
                
          vue create my-app
        
            
        

    Step 2

    Navigate to app's directory

            
                
          cd my-app
        
            
        

    MDB installation

    Step 1

    Setup MDB

            
                
          vue add mdb5
        
            
        
    • choose Free version
    • decide whether to install Roboto font
    • decide whether to install Font Awesome 6
    • choose one of the styling options
      • compiled in the package (CSS)
      • editable in your project (SCSS)
    • decide whether to add MDB welcome page

    Step 2

    Launch your app

            
                
          npm run serve
        
            
        

    GitHub

    You can also download MDB VUE UI KIT directly from our GitHub.

    If you like - please do not forget to support us with your star :)

    MDB VUE UI KIT GitHub

    NPM

    Installation

    To install MDB VUE UI KIT in your project easily type the following command in the terminal:

            
                
          npm i mdb-vue-ui-kit
        
            
        

    CSS import

    Add the following line at the beginning of your main.ts file:

            
                
          import 'mdb-vue-ui-kit/css/mdb.min.css';
        
            
        

    Font Awesome

    Add the following line in public/index.html file inside head section:

            
                
          <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css" rel="stylesheet" />
        
            
        

    Roboto font

    Add the following line in public/index.html file inside head section:

            
                
          <link href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700,900&display=swap" rel="stylesheet" />
        
            
        

    Set font family in src/App.vue inside style section as in the example:

            
                
          #app {
            font-family: Roboto, Helvetica, Arial, sans-serif;
          }
        
            
        

    CDN

    You can easily test MDB Vue components by adding CDN scripts to your classic HTML template without the need for installing any packages. All components will be accessible from the global variable mdb. In this case, however, you must not use PascalCase when creating component names. We recommend adopting a naming convention as in the example below:

            
                
          <!DOCTYPE html>
          <html lang="en">
            <head>
              <title>MDB Vue App</title>
              <meta charset="utf-8" />
              <meta http-equiv="X-UA-Compatible" content="IE=edge" />
              <meta
                name="viewport"
                content="width=device-width,initial-scale=1.0"
              />
              <link
                href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css"
                rel="stylesheet"
              />
              <link
                href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700,900&display=swap"
                rel="stylesheet"
              />
              <link
                rel="stylesheet"
                href="https://cdn.jsdelivr.net/npm/mdb-vue-ui-kit/css/mdb.min.css"
              />
            </head>
    
            <body>
              <div id="app">
                <mdb-btn color="primary">Button</mdb-btn>
              </div>
    
              <script src="https://unpkg.com/vue@next"></script>
              <script src="https://cdn.jsdelivr.net/npm/mdb-vue-ui-kit/js/mdb.umd.min.js"></script>
              <script>
                const App = {
                  components: {
                    mdbBtn: mdb.MDBBtn,
                  },
                };
    
                Vue.createApp(App).mount("#app");
              </script>
            </body>
          </html>